ST_Force4D
Prev | 8.5. Geometry Editors | Next

## Name

ST_Force4D — Force the geometries into XYZM mode.

## Synopsis

`geometry ST_Force4D(`geometry geomA, float Zvalue = 0.0, float Mvalue = 0.0`)`;

## Description

Forces the geometries into XYZM mode. `Zvalue` and `Mvalue` is tacked on for missing Z and M dimensions, respectively.

Changed: 2.1.0. Up to 2.0.x this was called ST_Force_4D.

Changed: 3.1.0. Added support for supplying non-zero Z and M values.

This function supports 3d and will not drop the z-index.

This method supports Circular Strings and Curves

## Examples

    --Nothing happens to an already 3D geometry
    SELECT ST_AsEWKT(ST_Force4D(ST_GeomFromEWKT('CIRCULARSTRING(1 1 2, 2 3 2, 4 5 2, 6 7 2, 5 6 2)')));
    						st_asewkt
    ---------------------------------------------------------
     CIRCULARSTRING(1 1 2 0,2 3 2 0,4 5 2 0,6 7 2 0,5 6 2 0)

    SELECT  ST_AsEWKT(ST_Force4D('MULTILINESTRINGM((0 0 1,0 5 2,5 0 3,0 0 4),(1 1 1,3 1 1,1 3 1,1 1 1))'));

    									  st_asewkt
    --------------------------------------------------------------------------------------
     MULTILINESTRING((0 0 0 1,0 5 0 2,5 0 0 3,0 0 0 4),(1 1 0 1,3 1 0 1,1 3 0 1,1 1 0 1))

## See Also

ST_AsEWKT, ST_Force2D, ST_Force3DM, ST_Force3D

Prev | Up | Next
ST_Force3DM | Home | ST_ForcePolygonCCW